<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

/**
 * Klasse für den Vorspann des Feedbacks
 */
class DataMenuFeedBackVorspann extends DataMenuFeedBackFormular
{
  public function __construct($pUrlParameter)
  {
    parent::__construct($pUrlParameter);
    $this->exportadapter = new ExpFeedBackBogen();
  }

  public function getdataarraybody()
  {
    $this->dataarraybody = array(unserialize(SessionOperations::getVarValueIntern('feedback_bogen')));
  }

  /**
   *  Reiter nocolumn wird im Vorspann (Sicht 459) nicht verwendet; dataarraynocolumn() muss für die Fehlerausgabe
   *  in DataMenuFeedBackFormular explizit mit leerem Array besetzt werden
   */
  public function getdataarraynocolumn()
  {
    $this->dataarraynocolumn = array();
  }

  public function getsight($pSightId = 459)
  {
    parent::getsight($pSightId);
  }
}
